spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  config:
    activate:
      on-profile: dev
  redis:
    host: 127.0.0.1
    port: 6379
    password: '@yf_2017'
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    url: jdbc:mysql://192.168.1.65:43306/mvp_archives?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    #url: jdbc:mysql://119.96.147.6:43306/mvp_archives?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true

# mybaits-plus配置
mybatis-plus:
  mapper-locations: classpath:/mapper/*Mapper.xml
  global-config:
    banner: false
    db-config:
      id-type: auto
      table-underline: true
      logic-delete-value: 1
      logic-not-delete-value: 0
  configuration:
    map-underscore-to-camel-case: true
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

wx:
  corpid: wwbcb090af0dfe50e5
  corpsecret: 16kqEL_eU-ARwYyqLgEBWHgxm8gXVnkzv_eJMLy9NpU
  agentid: 1000010
  authUrl: https://test-wx.worfu.com/yifu-auth/method/oauth/wxLogin
  domainName: https://test-wx.worfu.com

#瓜子配置
gz:
  appkey: hr_eny00002_test
  appsecret: hr_eny00002_test_20250620
  tid: c2da1d84e9bd4a30b6be5ecd209096fb
  appUrl: https://eim-busin-api-test-jwtys.guazi.com

#法大大专业版fasc配置
fasc:
  appId: 80003662
  appSecret: DXREUVHOLEFJMWLGYFGF1JKID8YCEDWZ
  appUrl: https://uat-api.fadada.com/api/v5
  openId: ebcd6e2e0eb2401b9ca9239e78fad203


